<template>
  <input
    class="mh-text-field"
    type="text"
    :placeholder="placeholder"
    :disabled="isDisabled"
  />
</template>

<script>
export default {
  name: 'MhTextField',

  props: {
    placeholder: {
      type: String,
      default: ''
    },

    isDisabled: {
      type: Boolean,
      default: false
    }
  }
}
</script>

<style lang="scss" scoped>
.mh-text-field {
  padding: 10px;
  border: 1px solid $darken;
  border-radius: 6px;
  transition: 0.3s ease;

  &:hover:not(:focus) {
    border-color: lighten($darken, 30%);
    color: lighten($darken, 30%);
  }

  &:active, &:focus {
    outline: none;
  }

  &:disabled {
    border-color: lighten($darken, 30%);
    color: lighten($darken, 30%);
    cursor: not-allowed
  }
}
</style>
